:root{
    --faded-font-clr:#4D4D4D;
    --faded-white-clr:#ADB5BD;
    --secondary-font-clr:#ca6868;
    --sixteen-font-color:#161718;
    --themed-clr:#e47b08;
    --themed-clr-2:#eb8e2b;
    --themed-clr-3:#fbf7f2;
    --themed-clr-4:#fac486;
    --green-theme:#22a26e;
    --green-theme2:#c5ecdc;
    --green-theme3: #eff6f3;
    --golden-theme: #f7a830;
    --dark-backgrnd-clr:rgb(31, 33, 46);
    --dark-backgrnd-clr2:#5b666d;
    --background-clr:#ffffff;
    --highlighted-clr-1:#F9F9F9;
    --highlighted-clr-2:#F5F5F5;
    --highlighted-clr-3:#EFEFEF;
    --highlighted-clr-3:#F7FAFC;
    --highlighted-clr-4:#e3e7ea;
    --outfit-font-fam:"Outfit", sans-serif;
    --poppins-font-fam:"Poppins", sans-serif;
    --inter-font-fam:"Inter", sans-serif;
    --roboto-font-fam:"Roboto", sans-serif;
    --lora-font-fam:"Lora", sans-serif;
    --monst-font-fam:"Montserrat", sans-serif;
    --dancing-font-fam:"Great Vibes", cursive;
}
body {
    min-height: 100vh;
    width: 100vw;
    height: 100vh; 
    margin: 0;
    padding:0;
    box-sizing: border-box;
    font-family: var(--new_font_fam);
    overflow-x: hidden !important;
    overflow-y: auto;
    background: #f4f4f9;
    display: flex;
    flex-direction: column;
    align-items: center;
}
body.no-scroll {
    overflow: hidden;
    height: 100vh;
}

body::-webkit-scrollbar {
    width: 5px;  
}

body::-webkit-scrollbar-track {
    background: transparent; 
    border-radius: 10px;
}

body::-webkit-scrollbar-thumb {
    background: var(--dark-backgrnd-clr);  
    border-radius: 10px;
}

body::-webkit-scrollbar-thumb:hover {
    background: var(--themed-clr);
}

.header{
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    width: 100vw;
    height: auto;
    display: flex;
    flex-direction: column;
    transition: opacity 0.4s ease, transform 0.4s ease;
    box-sizing: border-box;
    box-shadow: 0 4px 12px rgba(0,0,0,0.1);
    background-color: var(--background-clr);
}

/* Hidden state */
#header.hide-header {
  opacity: 0;
  transform: translateY(-100%);
  pointer-events: none;
}

.header-top-cont{
    width: 100%;
    height: 50px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
    background-color: var(--green-theme);
    box-sizing: border-box;
}

.header-logo-a{
    height: 100%;
    width: auto;
    padding: 0;
    box-sizing: border-box;
}
.mainlogo{
    height: 100%;
    width: auto;
    margin: 0;
    pointer-events: none;
}
.header ul{
    position: relative;
    width: auto;
    height: auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    list-style: none;
    box-sizing: border-box;
}
.header ul li{
    margin-left: 10px;
    margin-right: 10px;
}
.header ul li a{
    font-family: var(--monst-font-fam);
    font-size: 16px;
    font-weight: 500;
    text-decoration: none;
    transition: color 0.3s ease;
    color: white;
    text-shadow:
    6px 6px 18px rgba(0, 0, 0, 0.35),
    -3px -3px 12px rgba(255, 255, 255, 0.45);
}
.header ul li a:hover{
    color: var(--faded-white-clr);
}

.menu-a.active{
    color: var(--faded-font-clr);
    padding: 5px;
    border: solid 1.5px var(--faded-font-clr);
    border-radius: 10px;
}
#menu_opener,
#menu_close{
    display: none;
    font-size: 30px;
    color: white;
    cursor: pointer;
}

#menu_close{
    display: none;
    width: 30px;
    height: 30px;
    cursor: pointer;
}

.header-action-panel{
    width: auto;
    height: auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
}
.header-action-panel-profile{
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 25px;
    color: white;
    text-decoration: none;
}

.header-action-panel-test{
    width: auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding: 0;
    text-decoration: none;
    background-color: transparent;
}

@media (max-width:700px){
    .header-top-cont{
        padding: 10px;
        justify-content: space-between;
    }
    
    .header ul{
        display: none;
    }
    .header-action-panel{
        width: auto;
    }
    
    .header-action-panel-test-left{
        padding-top: 5px;
        padding-bottom: 5px;
        padding-left: 5px;
        padding-right: 3px;
    }
    .header-action-panel-test-right{
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 3px;
    padding-right: 5px;
    }
    .header-action-panel-test span{
        font-size: 12px;
    }
    #menu_opener{
        display: block;
    }
}

/*mobile menu*/
.mobile-menu-container {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 50%;
    background-color: var(--background-clr);
    color: var(--faded-font-clr);
    transform: translateX(-100%);
    transition: transform 0.5s ease;
    z-index: 999;
    display: flex;
    flex-direction: column;
    padding: 0;
    border: solid 1px var(--highlighted-clr-4);
    border-radius: 5px;
    box-shadow: 0 4px 12px rgba(0,0,0,0.1); 
}

.mobile-menu-container.active {
    transform: translateX(0);
}

.mobile-menu-header {
    width: 100%;
    height: 10%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 20px;
    border-bottom: solid 1px var(--highlighted-clr-4);
    box-sizing: border-box;
}
.header-site-a{
    text-decoration: none;
    color: var(--faded-font-clr);
}

.mobile-menu-close{
    width: 25px;
    height: auto;
    cursor: pointer;
}
.mobile-menu-links{
    width: 100%;
    height: 80%;
    overflow-y: auto;
}
.sidebar-a {
    width: 100%;
    padding: 10px;
    box-sizing: border-box;
    margin-top: 5px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    cursor: pointer;
    font-family: var(--poppins-font-fam);
    font-weight: 300;
    font-size: 14px;
    color: var(--sixteen-font-color);
    text-decoration: none;
    border-radius: 5px;
    overflow: hidden;
    transition: all 0.5s ease-in-out;
    text-shadow:
    6px 6px 18px rgba(0, 0, 0, 0.35),
    -3px -3px 12px rgba(255, 255, 255, 0.45);
}
.sidebar-a i{
    color: gray;
    font-size: 16px;
    margin-right: 5px;
}
.sidebar-a:hover{
    background-color: var(--themed-clr-2);
    color: var(--background-clr);
}  
.sidebar-a.active{
    background-color: var(--themed-clr-2);
    color: var(--background-clr);
}
.mobile-menu-footer{
    width: 100%;
    height: 10%;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--highlighted-clr-4);
}  
.mobile-menu-footer span{
    font-family: var(--poppins-font-fam);
    font-weight: 300;
    font-size: 10px;
    color: var(--faded-font-clr);
    text-decoration: none;
}


/*not found*/
.not-found{
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 10px;
  box-sizing: border-box;
  margin-bottom: 20px;
}
.not-found img{
  width: 150px;
  height: auto;
}
.not-found span{
  font-family: var(--poppins-font-fam);
  font-weight: 300;
  font-size: 16px;
  color: gray;
  text-decoration: none;
}

/*info header*/
.header-info{
    width: 100%;
    padding: 5px;
    background-color: var(--dark-backgrnd-clr);
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    box-sizing: border-box;
}
.header-info a{
    font-family: var(--poppins-font-fam);
    font-weight: 400;
    font-size: 13px;
    color: white;
    text-decoration: none;
    cursor: pointer;
}
.header-info a i{
    color: var(--faded-white-clr);
    font-size: 20px;
    margin-right: 10px;
}

.menu-a-special{
    padding: 0;
    font-family: var(--monst-font-fam);
    font-size: 12px;
    font-weight: 500;
    text-decoration: none;
    color: var(--faded-font-clr);
    background-color: var(--golden-theme);
    border: solid 1px var(--golden-theme);
    border-radius: 5px;
    cursor: pointer;
}
input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}





